Bug 295621 - Strange "ts_done name in te" messages on update
Strange "ts_done name in te" messages on update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 20:58 EDT by Eric Harney
Modified: 2014-01-21 17:59 EST (History)
6 users (show)

See Also:
Fixed In Version: 4.4.2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 21:58:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum output with errors (15.94 KB, text/plain)
2007-09-18 20:58 EDT, Eric Harney
no flags Details

  None (edit)
Description Eric Harney 2007-09-18 20:58:42 EDT
Description of problem:
When running a yum update, I saw many output lines such as:
  Cleanup   : python-setuptools            ####################### [42/64] 
  Cleanup   : gnutls-debuginfo             ####################### [43/64] 
ts_done name in te is wine should be gnutls-debuginfo
  Cleanup   : wine-nas                     ####################### [44/64] 
ts_done name in te is gnutls-debuginfo should be wine-nas
  Cleanup   : svnkit                       ####################### [45/64] 
ts_done name in te is wine-nas should be svnkit

It appears that something has gotten mixed up in processing information for each
package, though I don't know what this means.

Version-Release number of selected component (if applicable):
yum-3.2.5-1.fc7

Steps to Reproduce:
1. yum update (with updates-testing enabled)

Additional info:
I am running fc7 x86_64 with updates-testing enabled.
Will attach full yum output.

I don't really have a clue what this means, but it seems like something that
shouldn't happen.
Comment 1 Eric Harney 2007-09-18 20:58:42 EDT
Created attachment 198951 [details]
yum output with errors
Comment 2 Seth Vidal 2007-09-18 21:49:50 EDT
could you please give me the output of both these commands?:

rpm -q rpm

grep rpm /var/log/yum.log

Comment 3 Eric Harney 2007-09-18 23:17:51 EDT
# rpm -q rpm
rpm-4.4.2.1-1.fc7

# grep rpm /var/log/yum.log
[root@packetbane ~]#       (nothing)
Comment 4 Panu Matilainen 2007-09-19 02:34:21 EDT
See bug 283661 - will be fixed when rpm 4.4.2.2 final is released and pushed to
F7 updates. So yes, there's an rpm bug involved (not issuing erase callbacks on
packages that don't contain any files), yum's bug here is depending on behavior
that's not present in any released rpm version. The new transaction callback
stuff in yum essentially cause it to require rpm >= 4.4.2.2.
Comment 5 Till Maas 2007-10-15 04:53:54 EDT
The bug is also present in i386 and now in Fedora updates (not -testing).
Comment 6 Panu Matilainen 2007-10-15 05:01:38 EDT
FYI: rpm 4.4.2.2 fixing this is currently in updates-testing.
Comment 7 Seth Vidal 2007-12-06 21:58:55 EST
this is fixed in everything available so I'm closing

Note You need to log in before you can comment on or make changes to this bug.